Summary:	A program to view structured fax files (sff)
Name:		sffview
Version:	0.4
Release:	%mkrel 1
License:	MIT
Group:		Communications
URL:		http://sfftools.sourceforge.net/sffview.html
Source0:	sffview_0_4_src.zip
Source1:	sffview-16x16.png
Source2:	sffview-32x32.png
Source3:	sffview-48x48.png
Patch0:		sffview-cflags.diff
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:	wxGTK2.6-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The CAPI interface for programming ISDN hardware expects and gives you faxes in
the "Structured Fax File" (SFF) format.

SffView is a viewer for SFF-files. SffView is written in C++ using the
wxWindows/wxGTK toolkit and is therefore available for Linux and Windows
(wxWindows is a platform independent toolkit and wxGTK is a unix implementation
based on GTK+, see wxWindows homepage).

Authors:
--------
    Peter Schfer

%prep

%setup -q -n %{name}
%patch0 -p0

cp %{SOURCE1} %{SOURCE2} %{SOURCE3} .

%build

%make \
    WXCONFIG_CPP="\`wx-config-ansi --cflags\`" \
    WXCONFIG_LD="\`wx-config-ansi --libs\`" \
    CFLAGS="%{optflags} -Wall"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -m0755 %{name} %{buildroot}%{_bindir}

# menu
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{name}" \
title="SffView" \
longtitle="%{summary}" \
needs="x11" \
icon="%{name}.png" \
section="Multimedia/Graphics" \
xdg="true"
EOF

# icon
install -d %{buildroot}%{_liconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}

install -m0644 sffview-48x48.png %{buildroot}%{_liconsdir}/%{name}.png
install -m0644 sffview-32x32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 sffview-16x16.png %{buildroot}%{_miconsdir}/%{name}.png

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=SffView
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
EOF

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/* testfax.sff
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop


%changelog
* Sun Feb 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4-1mdv2007.0
+ Revision: 116161
- make it compile on x86_64
- fix xdg menu
- 0.4
- drop P0, it's implemented upstream
- Import sffview



* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3-2mdk
- added one debian patch to make it compile again
- fix deps

* Wed Dec 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3-1mdk
- 0.3
- fix deps and spec file
- added a different P0
- added P1

* Mon Jul 25 2003 Steffen Barszus <st_barszus@gmx.de> 0.2-2mdk
- fixed some packaging bugs

* Mon Jul 25 2003 Steffen Barszus <st_barszus@gmx.de> 0.2-1mdk
- initial rpm for mandrake

* Wed Mar 09 2003 Gernot Hillier  <gernot@hillier.de> 0.2-1
- update URLs, changed some copyright notices as this is no official
  SuSE package any more
* Mon Jan 20 2003 - ghillie@suse.de
- removed arch=i486 from Makefile (see gcc-3.2 patch)
- added glib and gtk to neededforbuild
* Mon Dec 16 2002 - gernot@hillier.de
- first package
